Page MenuHomeMiraheze

Introduce ManageWiki API
Closed, ResolvedPublic

Description

We should introduce an API which allows non-privileged users to query a list of extensions, settings and a privileges API that allows removing and adding extensions and settings.

Related Objects

Event Timeline

John triaged this task as Low priority.Sep 20 2018, 23:49
John created this task.
Paladox added a subscriber: Paladox.Sep 20 2018, 23:56
John moved this task from Backlog to MediaWiki on the Goal-2018-Jul-Dec board.Sep 21 2018, 15:27
John reassigned this task from John to Southparkfan.Sep 21 2018, 17:56

P125 is a draft for a simple query API.

However:

  • RemoteWiki::getExtensions() should automatically return an array without 'zzzz'
  • There is no RemoteWiki::getPermissions() method or similar
  • All params need help messages
John added a comment.Nov 9 2018, 18:35

P125 is a draft for a simple query API.
However:

  • RemoteWiki::getExtensions() should automatically return an array without 'zzzz'

I’m going to move this to json soon so don’t worry.

  • There is no RemoteWiki::getPermissions() method or similar

Do we need to?

Southparkfan removed Southparkfan as the assignee of this task.Nov 18 2018, 17:38

I don't want to prevent actual progress on this task so it's no longer assigned to me.

The new query API is live, just lacks an API for changing settings and such.

Void added a subscriber: Void.Nov 18 2018, 17:47
John closed this task as Resolved.Nov 18 2018, 17:58
John assigned this task to Southparkfan.

The main point of this really was having an API. The extension isn’t designed too well for active actions so a privileged API is out of scope.